package com.jkcredit.info.query.controller;

import com.alibaba.fastjson.JSONObject;
import com.jkcredit.common.model.CommonResponseObject;
import com.jkcredit.info.query.service.InformationQueryService;
import com.netflix.discovery.DiscoveryManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.client.ServiceInstance;
import org.springframework.cloud.client.discovery.DiscoveryClient;
import org.springframework.cloud.client.loadbalancer.LoadBalancerClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;

@RestController
@Slf4j
public class InfoQueryController {
    @Autowired
    InformationQueryService informationQueryService;

    @Autowired
    LoadBalancerClient loadBalancerClient;
    @Autowired
    DiscoveryClient discoveryClient;

    @PostMapping("/query")
    public CommonResponseObject infoQuery(@RequestBody JSONObject body) {
        log.info("query");
        System.out.println("query");
        return informationQueryService.query(body.getString("keyWord"), body.getString("type"));
    }

    @PostMapping("/loadCookie")
    public CommonResponseObject loadCookie() {
        return informationQueryService.loadCookie();
    }

    @PostMapping("/test")
    public String test() {
        System.out.println(123);
        return "28081";
    }
}
