package com.jkcredit.info.query.util;

import lombok.extern.slf4j.Slf4j;
import okhttp3.Cookie;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

@Component
@Slf4j
public class CookieUtil {
    private static String cookieUrl;
    private static String authenticationCookieUrl;

    @Value("${supplier.cookieUrl}")
    public void setCookieUrl(String cookieUrl) {
        CookieUtil.cookieUrl = cookieUrl;
    }
    @Value("${supplier.authenticationCookieUrl}")
    public void setAuthenticationCookieUrl(String authenticationCookieUrl) {
        CookieUtil.authenticationCookieUrl = authenticationCookieUrl;
    }

    public static String getAuthenticationCookie() {
        String host = "";
        InetAddress address = null;
        try {
            address = InetAddress.getLocalHost();
        } catch (UnknownHostException e) {
            e.printStackTrace();
        }
        if (address != null) {
            host = address.getHostAddress();
        }
        log.info("host:{}", host);
        ConcurrentHashMap<String, List<Cookie>> cookieStore = CookieConcurrentHashMapUtil.getInstance();
        // todo
        host = "51.1.0.61";
        if (cookieStore.get(host) != null) {
            return getCookie(host);
        }
        // todo 此处需要判断获取token是否成功
        if (StringUtils.isNotBlank(HttpUtil.doGetLoadCookie(cookieUrl))) {
            HttpUtil.doGet(authenticationCookieUrl, getCookie(host));
        };
        return getCookie(host);
    }

    public static String getCookie(String host) {
        String cookie = "";
        ConcurrentHashMap<String, List<Cookie>> cookieStore = CookieConcurrentHashMapUtil.getInstance();
        if (cookieStore.get(host) != null) {
            cookie = cookieStore.get(host).get(0).name()
                    + "=" + cookieStore.get(host).get(0).value();
        }
        return cookie;
    }
}
